| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# IG::Num::UnstructuredMeshGeometry2d< TCoord > Class Template Reference

Geometry and topology of an unstructured 2D mesh. Presents both connected meshes and unconnected sets of points. More...

Inheritance diagram for IG::Num::UnstructuredMeshGeometry2d< TCoord >:
[legend]
Collaboration diagram for IG::Num::UnstructuredMeshGeometry2d< TCoord >:
[legend]

List of all members.

## Public Member Functions
| UnstructuredMeshGeometry2d ()
| Constructs a new empty unstructured grid (no elements contained) with no name and no description.
| UnstructuredMeshGeometry2d (int numElements)
| Creates a new unstructured grid with the specified number of elements.
| UnstructuredMeshGeometry2d (int numElements, string fieldName)
| Constructs a new unstructured grid with the specified number of elements and name.
| UnstructuredMeshGeometry2d (int numElements, string fieldName, string fieldDescription)
| Constructs a new unstructured grid with the specified number of elements, name and description. Table of elements is allocated.

## Detailed Description

### template<TCoord>
class IG::Num::UnstructuredMeshGeometry2d< TCoord >

Geometry and topology of an unstructured 2D mesh. Presents both connected meshes and unconnected sets of points.

Template Parameters:

  TCoord | Type of nodal coordinates.

$A Igor Jan08 Mar09;

## Member Function Documentation

template<TCoord >

IG::Num::UnstructuredMeshGeometry2d< TCoord >::UnstructuredMeshGeometry2d | ( |  | ) | `[inline]`

Constructs a new empty unstructured grid (no elements contained) with no name and no description.

template<TCoord >

IG::Num::UnstructuredMeshGeometry2d< TCoord >::UnstructuredMeshGeometry2d | ( | int | numElements | ) | `[inline]`

Creates a new unstructured grid with the specified number of elements.

Parameters:

  numElements | Number of elements of the coordinate field.

template<TCoord >

IG::Num::UnstructuredMeshGeometry2d< TCoord >::UnstructuredMeshGeometry2d | ( | int | numElements,
|  | string | fieldName
| ) |  | `[inline]`

Constructs a new unstructured grid with the specified number of elements and name.

Parameters:

  numElements | Number of elements.
  fieldName | Name of the field.

template<TCoord >

IG::Num::UnstructuredMeshGeometry2d< TCoord >::UnstructuredMeshGeometry2d | ( | int | numElements,
|  | string | fieldName,
|  | string | fieldDescription
| ) |  | `[inline]`

Constructs a new unstructured grid with the specified number of elements, name and description. Table of elements is allocated.

Parameters:

  numElements | Number of elements.
  fieldName | Name of the field.
  fieldDescription | Field description.

The documentation for this class was generated from the following file:

- UnstructuredMeshGeometry2dGeneric.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events